# We used to define this dynamically, but the Fedora buildsystem chokes on
# using this for the versioned Requires on tcl(abi), so we hardcode it.
# This sucks, but there is no other clean way around it, because tcl
# (and tclsh) aren't in the default buildroot.
%{!?tcl_version: %define tcl_version 8.5}
%{!?tcl_sitearch: %define tcl_sitearch %{_libdir}/tcl%{tcl_version}}
%define realname tile

Name:		tcl-%{realname}
Version:	0.8.2
Release:	5%{?dist}
Summary:	Modified Tk styling engine
Group:		System Environment/Libraries
License:	TCL
URL:		http://tktable.sourceforge.net/
Source0:	http://downloads.sourceforge.net/tktable/%{realname}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Provides:	%{realname} = %{version}-%{release}
Provides:	tk-%{realname} = %{version}-%{release}
BuildRequires:	tcl-devel, tk-devel, libX11-devel
Requires:	tcl(abi) = %{tcl_version}

%description
The Tile Widget Set is an experimental reimplementation of
some of the core Tk widgets.  The primary purpose is
to generate ideas for how to build the next generation of Tk,
when the asteroid strikes and we prepare for the 9.0 release.

%package devel
Summary:	Development libraries and headers for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{realname}-devel = %{version}-%{release}
Provides:	tk-%{realname}-devel = %{version}-%{release}
Provides:	%{name}-static = %{version}-%{release}
Provides:	%{realname}-static = %{version}-%{release}
Provides:	tk-%{realname}-static = %{version}-%{release}

%description devel
Development libraries and headers for %{name}.

%prep
%setup -q -n %{realname}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
install -d %{buildroot}%{tcl_sitearch}
mv %{buildroot}%{_libdir}/%{realname}%{version} %{buildroot}%{tcl_sitearch}/%{realname}%{version}
chmod -x %{buildroot}%{_libdir}/libttkstub.a

%clean
rm -rf %{buildroot}

# There are tests, and they all pass when run on an active X display, but some of them
# fail under Xvfb, thus, we have no good way of running them.

%files
%defattr(-,root,root,-)
%doc README.txt license.terms ChangeLog ANNOUNCE.txt
%{tcl_sitearch}/%{realname}%{version}/

%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/libttkstub.a

%changelog
* Wed Sep 17 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.8.2-5
- lets try this again

* Wed Sep 17 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.8.2-4
- no, we really do need to hardcode. *sigh*

* Wed Sep 17 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.8.2-3
- don't hardcode tcl abi requires

* Mon Aug 25 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.8.2-2
- fix license tag

* Wed Jun 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.8.2-1
- initial package for Fedora
